Subject: Re: bug#37667: 27.0.50; Tab Bar display problems with more than 5 tabs

From: martin rudalics <[email-masked]>
Date: Fri, 22 Nov 2019 09:16:33 +0100

> The tab-line is used just for buffer selection, so either it can use
 > the order of buffer-list, or the order of window-prev-buffers, or
 > alphabetical order.  I see no other way to sort buffers.

'window-prev-buffers' lists a buffer iff it has been displayed before
in the argument window.  'buffer-list' does something similar for its
argument frame but in principle does not care about whether a buffer
has been displayed already.  So you have to decide what the tab-line
should do.  Just an example: Should 'bury-buffer' affect a tab-line
and if so how?

 > You mentioned 'creation time' above.  Does a buffer have a buffer-local
 > variable for its creation time?  Then we could sort by buffer's
 > creation time.  But currently I see only the variable buffer-display-time,
 > not buffer-creation-time.

Indeed.  If you do care about yet undisplayed buffers, then such a
function might be needed.

martin